Bug 470326 - Extra output from condor_on/off
Extra output from condor_on/off
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Robert Rati
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 13:20 EST by Matthew Farrellee
Modified: 2009-02-04 11:06 EST (History)
2 users (show)

See Also:
Fixed In Version: 7.1.4-0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:06:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-06 13:20:13 EST
condor-7.1.4-0.3.el4

[root@north-07 ~]# condor_off -sched -name north-14
'-sched'
'-name'
Sent "Kill-Daemon" command for "schedd" to master north-14...
[root@north-07 ~]# condor_on -sched -name north-14
'-sched'
'-name'
Sent "Spawn-Daemon" command for "schedd" to master north-14...

The '-sched' '-name' output is strange/shouldn't be there.

[root@north-07 ~]# echo /var/lib/condor/feature_configs/*
/var/lib/condor/feature_configs/condor_common /var/lib/condor/feature_configs/condor_ha_scheduler /var/lib/condor/feature_configs/condor_scheduler

Same thing happens on north-15, which is RHEL 5.
Comment 1 Robert Rati 2008-11-07 16:52:57 EST
There was a debug printf in tools.C that printed out the options as they were parsed.  Removed that and now condor_on|off -<anything> won't print out the options anymore.  So:

condor_off -sched -name north-14

Will just produce:

Sent "Spawn-Daemon" command for "schedd" to master north-14...
Comment 3 Jeff Needle 2008-11-20 08:25:09 EST
[root@north-01 ~]# rpm -q condor
condor-7.1.4-0.5.el4

[root@north-01 ~]# condor_off -sched -name north-10
Sent "Kill-Daemon" command for "schedd" to master north-10.lab.bos.redhat.com
Comment 5 errata-xmlrpc 2009-02-04 11:06:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.